//app.js
const HttpSever = require('/utils/http.js')
const $api = require('/config/api.js')

App({
  onLaunch: function() {
    let _self = this
    wx.login({
      success(res) {
        if (res.code) {
          // 发起网络请求
          // HttpSever.Ajax({
          //   url: $api.User.GetUserInfo.url.replace(':openid', )
          // })
        } else {
          console.log('登录失败！' + res.errMsg)
        }
      }
    })
    wx.getSetting({
      success: res => {
        if (res.authSetting['scope.userInfo']) {
          // 已经授权，可以直接调用 getUserInfo 获取头像昵称，不会弹框
          wx.getUserInfo({
            success: res => {
              // 可以将 res 发送给后台解码出 unionId
              this.globalData.UserInfo = res.userInfo

              // 由于 getUserInfo 是网络请求，可能会在 Page.onLoad 之后才返回
              // 所以此处加入 callback 以防止这种情况
              if (this.userInfoReadyCallback) {
                this.userInfoReadyCallback(res)
              }
            }
          })
        }
      }
    })
    wx.getSystemInfo({
      success(res) {
        if (res.model.indexOf('iPhone') !== -1 && res.system.indexOf('iOS') !== -1 && res.screenHeight >= 812) { // iphoneX及以上机型适配
          _self.globalData.ScreenBottomHeight = 30
        }
      }
    })
  },
  globalData: {
    OpenID: '',
    UserInfo: null,
    ScreenBottomHeight: 0
  }
})